package org.springblade.modules.cdglinfos.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.cdglinfos.entity.GlInfoEntity;
import org.springblade.modules.cdglinfos.mapper.GlInfoMapper;
import org.springblade.modules.cdglinfos.service.IGlInfoService;
import org.springblade.modules.cdglinfos.vo.GlInfoVO;
import org.springblade.modules.sqjw.sydw.pojo.vo.SydwMenuVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class GlinfoServiceImpl extends BaseServiceImpl<GlInfoMapper, GlInfoEntity> implements IGlInfoService {

	@Autowired
	GlInfoMapper glInfoMapper;

	@Override
	public IPage<GlInfoVO> selectGlInfoPage(IPage<GlInfoVO> page, GlInfoVO glinfo) {
		return null;
	}

	@Override
	public List<GlInfoEntity> getAppByUserRole(String ancestors, String userRole, String appName) {
		return glInfoMapper.getAppByUserRole(ancestors, userRole, appName);
	}

	@Override
	public List<SydwMenuVO> getSydwMenu(String flag, String appName) {
		return baseMapper.getSydwMenu(flag, appName);
	}
}
